#======================= Global Settings =====================================


[global]

   workgroup = PETROBRAS
   netbios name = S6020PS06
   netbios aliases = S6020PS09,S6020PS06,CERVANTES,10.142.151.170
   server string = S6020PS09 - node:[s6020ps06]
   security = ads
   load printers = yes
   printcap name = /etc/printcap
   #printcap name = cups 
   printing = cups 
   cups options = raw
   log file = /var/log/samba/%m.log
   max log size = 1024
   password server = s6020dc02, s6020dc03
   realm = PETROBRAS.BIZ
   socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192 SO_REUSEADDR=1
   remote browse sync = s6020dc02, s6020dc03
   remote announce = s6020dc02, s6020dc03
   enable privileges = yes
   local master = no
   domain master = no 
   preferred master = no
   #wins server = 10.142.150.129
   #name resolve order = wins lmhosts bcast
   dns proxy = no
   wins proxy = yes
   keepalive = 300

   admin users = @PETROBRAS+GG_PETROBRAS_6020_PRINTER_ADMINS,@PETROBRAS+GG_CORP_6020_OISP_UNIX

   winbind separator = +
   winbind cache time = 900
   winbind enum users = no
   winbind enum groups = no
   winbind use default domain = no
   template shell = /bin/false
   template homedir = /home/%D/%u
   idmap uid = 10000-10000000
   idmap gid = 10000-10000000
   allow trusted domains = yes
   deadtime = 5
   getwd cache = yes
   show add printer wizard = yes
   force printername = yes

   dos charset = CP850
   unix charset = ISO8859-15
   display charset = LOCALE

   printcap cache time = 300

   lpq cache time = 120
   queuepause command = cupsdisable %p
   queueresume command = cupsenable %p

   winbind refresh tickets = true
   idmap cache time = 1800
   idmap negative cache time = 300
   winbind nested groups = no

#============================ Share Definitions ==============================


[printers]
   comment = All Printers
   path = /var/spool/samba
   browseable = no
   default devmode = yes
   guest ok = no
   writable = no
   printable = yes
   #admin users = @PETROBRAS+GG_PETROBRAS_6020_PRINTER_ADMINS,@PETROBRAS+GG_CORP_6020_OISP_UNIX
   printer admin = @PETROBRAS+GG_PETROBRAS_6020_PRINTER_ADMINS,@PETROBRAS+GG_CORP_6020_OISP_UNIX


[print$]
   comment = Printer Drivers
   path = /etc/samba/printer
   public = yes
   guest ok = yes
   writable = no
   browseable = yes
   write list = @PETROBRAS+GG_PETROBRAS_6020_PRINTER_ADMINS,@PETROBRAS+GG_CORP_6020_OISP_UNIX
   printer admin = @PETROBRAS+GG_PETROBRAS_6020_PRINTER_ADMINS,@PETROBRAS+GG_CORP_6020_OISP_UNIX
   create mask = 0777
   directory mask = 0777
   force directory mode = 0777


#============================ Impressora PDF ==============================


[PDFFOLDER]
   comment = Share de Arquivos em PDF
   path = /pdf
   guest ok = no
   browseable = yes
   writeable = yes
   public = no
   create mask = 0700

[PDF]
   comment = Impressora PDF
   path = /pdf
   guest ok = no
   printable = yes
   printing = bsd
   printcap name = /etc/printcap 
   print command = /usr/local/bin/impressoraPdf.pl %s %U %m "%J"
   lpq command = /bin/true
   #admin users = @PETROBRAS+GG_PETROBRAS_6020_PRINTER_ADMINS,@PETROBRAS+GG_CORP_6020_OISP_UNIX


